gdcm::network Namespace Reference

## Classes

class | AAbortPDU
| AAbortPDU. More...
class | AAssociateACPDU
| AAssociateACPDU. More...
class | AAssociateRJPDU
| AAssociateRJPDU. More...
class | AAssociateRQPDU
| AAssociateRQPDU. More...
class | AbstractSyntax
| AbstractSyntax. More...
class | ApplicationContext
| ApplicationContext. More...
class | AReleaseRPPDU
| AReleaseRPPDU. More...
class | AReleaseRQPDU
| AReleaseRQPDU. More...
class | ARTIMTimer
| ARTIMTimer. More...
class | AsynchronousOperationsWindowSub
| AsynchronousOperationsWindowSub. More...
class | BaseCompositeMessage
| BaseCompositeMessage. More...
class | BaseNormalizedMessage
| BaseNormalizedMessage. More...
class | BasePDU
| BasePDU. More...
class | CEchoRQ
| CEchoRQ. More...
class | CEchoRSP
| CEchoRSP this file defines the messages for the cecho action. More...
class | CFind
class | CFindCancelRQ
| CFindCancelRQ this file defines the messages for the cfind action. More...
class | CFindRQ
| CFindRQ. More...
class | CFindRSP
| CFindRSP this file defines the messages for the cfind action. More...
class | CMoveCancelRq
class | CMoveRQ
| CMoveRQ. More...
class | CMoveRSP
| CMoveRSP this file defines the messages for the cmove action. More...
class | CompositeMessageFactory
| CompositeMessageFactory. More...
class | CStoreRQ
| CStoreRQ. More...
class | CStoreRSP
| CStoreRSP this file defines the messages for the cecho action. More...
class | DIMSE
| DIMSE. More...
class | ImplementationClassUIDSub
| ImplementationClassUIDSub. More...
class | ImplementationUIDSub
| ImplementationUIDSub. More...
class | ImplementationVersionNameSub
| ImplementationVersionNameSub. More...
class | MaximumLengthSub
| MaximumLengthSub. More...
class | NActionRQ
| NActionRQ. More...
class | NActionRSP
| NActionRSP this file defines the messages for the NAction action. More...
class | NCreateRQ
| NCreateRQ. More...
class | NCreateRSP
| NCreateRSP this file defines the messages for the ncreate action. More...
class | NDeleteRQ
| NDeleteRQ. More...
class | NDeleteRSP
| NDeleteRSP this file defines the messages for the ndelete action. More...
class | NEventReportRQ
| NEventReportRQ. More...
class | NEventReportRSP
| NEventReportRSP this file defines the messages for the neventreport action. More...
class | NGetRQ
| NGetRQ. More...
class | NGetRSP
| NGetRSP this file defines the messages for the nget action. More...
class | NormalizedMessageFactory
class | NSetRQ
| NSetRQ. More...
class | NSetRSP
| NSetRSP this file defines the messages for the nset action. More...
class | PDataTFPDU
| PDataTFPDU. More...
class | PDUFactory
| PDUFactory basically, given an initial byte, construct the. More...
class | PresentationContextAC
| PresentationContextAC. More...
class | PresentationContextRQ
| PresentationContextRQ. More...
class | PresentationDataValue
| PresentationDataValue. More...
class | RoleSelectionSub
| RoleSelectionSub. More...
class | ServiceClassApplicationInformation
class | SOPClassExtendedNegociationSub
| SOPClassExtendedNegociationSub. More...
class | TableRow
class | TransferSyntaxSub
| TransferSyntaxSub. More...
struct | Transition
class | ULAction
| ULAction. More...
class | ULActionAA1
class | ULActionAA2
class | ULActionAA3
class | ULActionAA4
class | ULActionAA5
class | ULActionAA6
class | ULActionAA7
class | ULActionAA8
class | ULActionAE1
class | ULActionAE2
class | ULActionAE3
class | ULActionAE4
class | ULActionAE5
class | ULActionAE6
class | ULActionAE7
class | ULActionAE8
class | ULActionAR1
class | ULActionAR10
class | ULActionAR2
class | ULActionAR3
class | ULActionAR4
class | ULActionAR5
class | ULActionAR6
class | ULActionAR7
class | ULActionAR8
class | ULActionAR9
class | ULActionDT1
class | ULActionDT2
class | ULBasicCallback
| ULBasicCallback. More...
class | ULConnection
| ULConnection. More...
class | ULConnectionCallback
class | ULConnectionInfo
| ULConnectionInfo. More...
class | ULConnectionManager
| ULConnectionManager. More...
class | ULEvent
| ULEvent. More...
class | ULTransitionTable
| ULTransitionTable The transition table of all the ULEvents, new ULActions, and ULStates. More...
class | ULWritingCallback
class | UserInformation
| UserInformation. More...

## Enumerations

enum

EEventID {
eAASSOCIATERequestLocalUser = 0 ,
eTransportConnConfirmLocal ,
eASSOCIATE_ACPDUreceived ,
eASSOCIATE_RJPDUreceived ,
eTransportConnIndicLocal ,
eAASSOCIATE_RQPDUreceived ,
eAASSOCIATEresponseAccept ,
eAASSOCIATEresponseReject ,
ePDATArequest ,
ePDATATFPDU ,
eARELEASERequest ,
eARELEASE_RQPDUReceivedOpen ,
eARELEASE_RPPDUReceived ,
eARELEASEResponse ,
eAABORTRequest ,
eAABORTPDUReceivedOpen ,
eTransportConnectionClosed ,
eARTIMTimerExpired ,
eUnrecognizedPDUReceived ,
eEventDoesNotExist
}

enum

EStateID {
eStaDoesNotExist = 0 ,
eSta1Idle = 1 ,
eSta2Open = 2 ,
eSta3WaitLocalAssoc = 4 ,
eSta4LocalAssocDone = 8 ,
eSta5WaitRemoteAssoc = 16 ,
eSta6TransferReady = 32 ,
eSta7WaitRelease = 64 ,
eSta8WaitLocalRelease = 128 ,
eSta9ReleaseCollisionRqLocal = 256 ,
eSta10ReleaseCollisionAc = 512 ,
eSta11ReleaseCollisionRq = 1024 ,
eSta12ReleaseCollisionAcLocal = 2048 ,
eSta13AwaitingClose = 4096
}

## Functions

int | GetStateIndex (EStateID inState)

## Variables

const int | cMaxEventID = eEventDoesNotExist
const int | cMaxStateID = 13

## Enumeration Type Documentation

## EEventID

enum gdcm::network::EEventID

Enumerator
eAASSOCIATERequestLocalUser |
eTransportConnConfirmLocal |
eASSOCIATE_ACPDUreceived |
eASSOCIATE_RJPDUreceived |
eTransportConnIndicLocal |
eAASSOCIATE_RQPDUreceived |
eAASSOCIATEresponseAccept |
eAASSOCIATEresponseReject |
ePDATArequest |
ePDATATFPDU |
eARELEASERequest |
eARELEASE_RQPDUReceivedOpen |
eARELEASE_RPPDUReceived |
eARELEASEResponse |
eAABORTRequest |
eAABORTPDUReceivedOpen |
eTransportConnectionClosed |
eARTIMTimerExpired |
eUnrecognizedPDUReceived |
eEventDoesNotExist |

## EStateID

enum gdcm::network::EStateID

Each network connection will be in a particular state at any given time. Those states have IDs as described in the standard ps3.8-2009, roughly 1-13. This enumeration lists those states. The actual ULState class will contain more information about transitions to other states.

name and date: 16 sept 2010 mmr

Enumerator
eStaDoesNotExist |
eSta1Idle |
eSta2Open |
eSta3WaitLocalAssoc |
eSta4LocalAssocDone |
eSta5WaitRemoteAssoc |
eSta6TransferReady |
eSta7WaitRelease |
eSta8WaitLocalRelease |
eSta9ReleaseCollisionRqLocal |
eSta10ReleaseCollisionAc |
eSta11ReleaseCollisionRq |
eSta12ReleaseCollisionAcLocal |
eSta13AwaitingClose |

## Function Documentation

## GetStateIndex()

int gdcm::network::GetStateIndex | ( | EStateID | inState | ) |

inline

References eSta10ReleaseCollisionAc, eSta11ReleaseCollisionRq, eSta12ReleaseCollisionAcLocal, eSta13AwaitingClose, eSta1Idle, eSta2Open, eSta3WaitLocalAssoc, eSta4LocalAssocDone, eSta5WaitRemoteAssoc, eSta6TransferReady, eSta7WaitRelease, eSta8WaitLocalRelease, eSta9ReleaseCollisionRqLocal, and eStaDoesNotExist.

## Variable Documentation

## cMaxEventID

const int gdcm::network::cMaxEventID = eEventDoesNotExist

## cMaxStateID

const int gdcm::network::cMaxStateID = 13

Referenced by gdcm::network::TableRow::TableRow(), and gdcm::network::TableRow::~TableRow().